Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.gui
Class MDIPaneTabUI

    java.lang.Object
      |
      +--com.objexcel.gui.MDIPaneUI
            |
            +--com.objexcel.gui.MDIPaneTabUI

public final class MDIPaneTabUI
extends MDIPaneUI

MDIPaneTabUI implements MDI with tabs

Constructor Summary
`MDIPaneTabUI()`

Method Summary
`void` | `addComponent(com.objexcel.gui.MDIPane.InternalWindow win)`
`javax.swing.JComponent` | `getComponent()`
`javax.swing.JComponent` | `getSelectedComponent()`
`void` | `highlightComponent(com.objexcel.gui.MDIPane.InternalWindow win)`
`void` | `installUI(javax.swing.JComponent c)`
`void` | `removeComponent(com.objexcel.gui.MDIPane.InternalWindow win)`
`void` | `setClosable(com.objexcel.gui.MDIPane.InternalWindow win)`
`void` | `setIcon(com.objexcel.gui.MDIPane.InternalWindow win)`
`void` | `setSelectedWrapper(com.objexcel.gui.MDIPane.InternalWindow win, boolean isSelected)`
`void` | `setTitle(com.objexcel.gui.MDIPane.InternalWindow win)`
`void` | `uninstallUI(javax.swing.JComponent c)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MDIPaneTabUI

    public MDIPaneTabUI()

Method Detail

### getComponent

    public javax.swing.JComponent getComponent()

  Overrides:
    getComponent in class MDIPaneUI

### setSelectedWrapper

    public void setSelectedWrapper(com.objexcel.gui.MDIPane.InternalWindow win,
                                   boolean isSelected)

  Overrides:
    setSelectedWrapper in class MDIPaneUI

### addComponent

    public void addComponent(com.objexcel.gui.MDIPane.InternalWindow win)

  Overrides:
    addComponent in class MDIPaneUI

### highlightComponent

    public void highlightComponent(com.objexcel.gui.MDIPane.InternalWindow win)

  Overrides:
    highlightComponent in class MDIPaneUI

### removeComponent

    public void removeComponent(com.objexcel.gui.MDIPane.InternalWindow win)

  Overrides:
    removeComponent in class MDIPaneUI

### getSelectedComponent

    public javax.swing.JComponent getSelectedComponent()

  Overrides:
    getSelectedComponent in class MDIPaneUI

### setTitle

    public void setTitle(com.objexcel.gui.MDIPane.InternalWindow win)

  Overrides:
    setTitle in class MDIPaneUI

### setIcon

    public void setIcon(com.objexcel.gui.MDIPane.InternalWindow win)

  Overrides:
    setIcon in class MDIPaneUI

### setClosable

    public void setClosable(com.objexcel.gui.MDIPane.InternalWindow win)

  Overrides:
    setClosable in class MDIPaneUI

### installUI

    public void installUI(javax.swing.JComponent c)

  Overrides:
    installUI in class MDIPaneUI

### uninstallUI

    public void uninstallUI(javax.swing.JComponent c)

  Overrides:
    uninstallUI in class MDIPaneUI

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD